## org.eclipse.xsd.ecore
Class XSDEcoreBuilder.Comparator

    java.lang.Object
      org.eclipse.xsd.ecore.XSDEcoreBuilder.Comparator

All Implemented Interfaces:
  java.util.Comparator<ENamedElement>

Enclosing class:
  XSDEcoreBuilder

    public static class XSDEcoreBuilder.Comparator

extends java.lang.Object
implements java.util.Comparator<ENamedElement>

Field Summary
`protected XSDPlugin.StringComparator` `collator`
`static XSDEcoreBuilder.Comparator` `INSTANCE`

Constructor Summary
`XSDEcoreBuilder.Comparator()`

Method Summary
`int` `compare(ENamedElement o1, ENamedElement o2)`
`boolean` `equals(java.lang.Object that)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static XSDEcoreBuilder.Comparator INSTANCE

### collator

    protected XSDPlugin.StringComparator collator

Constructor Detail

### XSDEcoreBuilder.Comparator

    public XSDEcoreBuilder.Comparator()

Method Detail

### equals

    public boolean equals(java.lang.Object that)

  Specified by:
    `equals` in interface `java.util.Comparator<ENamedElement>`
  Overrides:
    `equals` in class `java.lang.Object`

### compare

    public int compare(ENamedElement o1,
                       ENamedElement o2)

  Specified by:
    `compare` in interface `java.util.Comparator<ENamedElement>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.